<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Sidebar search filters</title>
</head>
<body>

<form th:fragment="searchFilters" th:action="@{/search}" method="post" class="search-filters">
    <!--/*@thymesVar id="searchFilters" type="com.example.internetshop.models.ProductSearchFilters"*/-->
    <!--category filter-->
    <div class="filter-group">
        <button class="btn btn-outline-secondary w-100" type="button"
                data-toggle="collapse" data-target="#category-filters">
            Category
        </button>
        <div id="category-filters" class="collapse show">
            <div class="card-body">
                <!--/*@thymesVar id="productCategories" type="java.util.List<com.example.internetshop.models.domain.ProductCategory>"*/-->
                <section th:each="cat : ${productCategories}" th:remove="tag">
                    <section th:replace="fragments/sidebar_checkbox
                            :: sidebarCheckbox (${'cat' + cat.id}, 'categories', ${cat.id}, ${cat.name},
                            ${#lists.contains(searchFilters.categories, cat.id)})">
                    </section>
                </section>
            </div>
        </div>
        <hr/>
    </div>

    <!--brand filter-->
    <div class="filter-group">
        <button class="btn btn-outline-secondary w-100" type="button"
                data-toggle="collapse" data-target="#brand-filters">
            Brand
        </button>
        <div id="brand-filters" class="collapse show">
            <div class="card-body">
                <!--/*@thymesVar id="productBrands" type="java.util.List<java.lang.String>"*/-->
                <section th:each="brand, stat : ${productBrands}" th:remove="tag">
                    <section th:replace="fragments/sidebar_checkbox
                            :: sidebarCheckbox (${'brand' + stat.count}, 'brands', ${brand}, ${brand},
                            ${#lists.contains(searchFilters.brands, brand)})">
                    </section>
                </section>
            </div>
        </div>
        <hr/>
    </div>

    <!--price filter-->
    <div class="filter-group">
        <button class="btn btn-outline-secondary w-100" type="button"
                data-toggle="collapse" data-target="#price-filter">
            Price
        </button>
        <div id="price-filter" class="collapse show">
            <div class="card-body">
                <!--/*@thymesVar id="globalMinPrice" type="java.lang.Double"*/-->
                <!--/*@thymesVar id="globalMaxPrice" type="java.lang.Double"*/-->
                <div id="price-slider" th:min="${globalMinPrice}" th:max="${globalMaxPrice}"></div>
                <input type="hidden" id="min-price" name="minPrice" th:value="${searchFilters.minPrice}">
                <input type="hidden" id="max-price" name="maxPrice" th:value="${searchFilters.maxPrice}">
                <div class="d-flex justify-content-between align-items-center">
                    <input type="text" id="min-price-input" class="form-control col-4"
                           th:value="${searchFilters.minPrice}"/>
                    <span>&nbsp;&horbar;&nbsp;</span>
                    <input type="text" id="max-price-input" class="form-control col-4"
                           th:value="${searchFilters.maxPrice}"/>
                </div>
            </div>
        </div>
        <hr/>
    </div>

    <input type="submit" value="Search" class="btn btn-outline-primary"/>
</form>

</body>
</html>